#pragma once

#include "CoreMinimal.h"
#include "HoudiniLandscapeTargetLayerOutput.h"
#include "HoudiniLandscapeSplineTargetLayerOutput.generated.h"

class ULandscapeSplineSegment;

UCLASS(Blueprintable)
class HOUDINIENGINERUNTIME_API UHoudiniLandscapeSplineTargetLayerOutput : public UHoudiniLandscapeTargetLayerOutput
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName AfterEditLayer;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<ULandscapeSplineSegment*> Segments;

public:
	UHoudiniLandscapeSplineTargetLayerOutput();
};

FORCEINLINE uint32 GetTypeHash(const UHoudiniLandscapeSplineTargetLayerOutput) { return 0; }
